Subject: Re: bug#54158: 28.0.91; duplicate mail downloads in Gnus (IMAP)

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 18 Mar 2022 09:49:24 -0700

On 03/18/22 11:34 AM, Roland Winkler wrote:
> On Fri, Mar 18 2022, Eric Abrahamsen wrote:
>> Okay, that's helpful, thanks. I'll try to concentrate on finding
>> differences in behavior between a single :mailbox and multiple.
>
> One more thought:
>
> My Gnus talks to the imap server on localhost (davmail).  Is it possible
> to look at this communication?  Then I could try to find out in which
> way Emacs 27 is communicating differently with the imap server compared
> with Emacs 28.
>
> (I just convinced myself once more that the problems with duplicate mail
> downloads for multiple folders on the IMAP server go away when I use
> Emacs 27.)

You can set `nnimap-record-commands' non-nil, and should get a buffer
containing the client-server conversation to look at.